Description

To avoid serious performance instability, switch away from the netCDF4 python module and use h5py instead.

After upgrading to Fedora 24, with python 3.5.1, numpy 1.11.0 and netCDF4 1.2.2 performance of PyCAMA dropped significantly

compared to python 3.4.3, numpy 1.9.2 and netCDF4 1.1.5. Further investigation showed that the performance drop occurred in the

write modules.

Performance of the netCDF4 library has been iffy at times, and this is a good excuse to switch to a more stable system.

History

#1 - 10/12/2016 12:16 PM - Maarten Sneep

- Status changed from New to In Progress

- Priority changed from Normal to Urgent

#2 - 10/12/2016 06:39 PM - Maarten Sneep

- % Done changed from 0 to 50

Writing is complete. Next up: ingesting what I just wrote.

#3 - 10/13/2016 03:54 PM - Maarten Sneep

- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

Both writing an reading is now completely transferred from netCDF4 to h5py. Note that netCDF4 is still imported. Only the date2num and num2date

functions are used now.

#4 - 10/27/2016 04:43 PM - Maarten Sneep

- Status changed from Resolved to Closed
